package com.weather.modules.security.user;

public class UserContextHolder {
    private static final ThreadLocal<UserDetail> holder = new ThreadLocal<>();

    public static void set(UserDetail user) {
        holder.set(user);
    }

    public static UserDetail get() {
        return holder.get();
    }

    public static void remove() {
        holder.remove();
    }
}
